Page tree
Skip to end of metadata
Go to start of metadata

EasyApache 4 does not use versioning and organizes changes by date only.

Each entry contains the following information:

  1. The package that we changed.
  2. The case number for the change.
  3. A description of the change.

For more information about our GitHub repository, read our The EasyApache 4 Git Repository and Build Updates documentation.

from

2019-6-5

  • ea-apache24
    • EA-8508: Apache crashes with Prefork due to 'couldn't release the accept mutex
  • ea-nodejs10
    • ZC-5152: Remove mod_passenger requirement from ea-nodejs
  • mod_security2
    • EA-8506: Fix update to Mod_Security 2.9.3: Update is segfaulting on some servers
    • EA-8507: Mod_Security 2.9.3 update some rules fail syntax check / Segmentation fault
  • scl-php71
    • EA-8516: Update scl-php71 from v7.1.29 to v7.1.30
  • scl-php71-meta
    • EA-8516: Update scl-php71 from v7.1.29 to v7.1.30
  • scl-php72
    • EA-8514 : Update scl-php72 from v7.2.18 to v7.2.19
  • scl-php72-meta
    • EA-8514: Update scl-php72 from v7.2.18 to v7.2.19
  • scl-php73
    • EA-8515: Update scl-php73 from v7.3.5 to v7.3.6
  • scl-php73-meta
    • EA-8515: Update scl-php73 from v7.3.5 to v7.3.6

2019-5-29

  • apr
    • EA-8471 - Update apr from v1.6.5 to v1.7.0
  • ea-apache2-config
    • EA-8436 - Mailman aliases exist in httpd.conf after it's disabled via Tweak Settings
  • ea-freetds
    • EA-8462 - Update freetds from 1.00.27 to 1.1.6
  • ea-nghttp2
    • EA-8473 - Update ea-nghttp2 from v1.32.0 to v1.38.0
  • ea-nodejs10
    • EA-8469 - Update ea-nodejs10 from v10.15.0 to v10.15.3
  • libcurl
    • EA-8475 - Update libcurl from v7.64.1 to v7.65.0 (with fixes for CVE-2019-5435 and CVE-2019-5436)
  • mod_security2
    • EA-8081 - Update Mod_security2 to 2.9.3
  • scl-sourceguardian
    • EA-8465 - Update Sourceguardian to 11.3
  • ea-ruby24
    • EA-8466 - Update ea-ruby24 to 2.4.6 (with fixes for CVE-2019-8320, CVE-2019-8321, CVE-2019-8322, CVE-2019-8323, CVE-2019-8324, and CVE-2019-8325)
  • ea-ruby24-meta
    • EA-8466 - Update ea-ruby24 to 2.4.6 (with fixes for CVE-2019-8320, CVE-2019-8321, CVE-2019-8322, CVE-2019-8323, CVE-2019-8324, and CVE-2019-8325)


2019-5-15

  • ea-apache2-config
    • EA-8447: PHP error_log is publicly accessible. 
  • ea-profiles-cpanel
    • ZC-4685: Add NodeJS to passenger profile.
    • ZC-4736: Add PHP 7.2 to EasyApache 4 Default, Worker, and MPM_ITK profiles
    • ZC-4717: Remove PHP 5.6 and 7.0 from default EasyApache 4 profiles.
  • ea-tomcat85
    • EA-8240: Update Tomcat to 8.5.40
  • scl-phalcon
    • EA-6844: Phalcon package not being built for a generic processor. 
  • scl-php70
    • ZC-4941: Integrate Plesk patches to fix double restart crash bugs.
  • scl-php71
    • ZC-4941: Integrate Plesk patches to fix double restart crash bugs.
  • scl-php72
    • ZC-4941: Integrate Plesk patches to fix double restart crash bugs.
  • scl-php73
    • ZC-4941: Integrate Plesk patches to fix double restart crash bugs.
  • scl-ruby24-meta
    • ZC-5085: Get gems working with SCL. 

2019-5-8

  • ea-liblsapi
    • EA-8330: Build debuginfo package.
  • ea-apache2
    • CPANEL-27056: Apache serves root-owned files with symlink protection is enabled.
  • scl-php71
    • EA-8431: Update PHP to 7.1.29, drop 7.1.28.
  • scl-php71-meta
    • EA-8431: Update PHP to 7.1.29, drop 7.1.28.
  • scl-php72
    • EA-8427: Update PHP to 7.2.18, drop 7.2.17.
  • scl-php72-meta
    • EA-8427: Update PHP to 7.2.18, drop 7.2.17.
  • scl-php73
    • EA-8428: Update PHP to 7.3.5, drop 7.3.4.
  • scl-php73-meta
    • EA-8428: Update PHP to 7.3.5, drop 7.3.4.

2019-4-24

  • scl-php54
    • EA-8342: Update litespeed to 7.3
  • scl-php55
    • EA-8342: Update litespeed to 7.3
  • scl-php56
    • EA-8342: Update litespeed to 7.3
  • scl-php70
    • EA-8342: Update litespeed to 7.3
  • scl-php71
    • EA-8342: Update litespeed to 7.3
  • scl-php72
    • EA-8342: Update litespeed to 7.3
  • scl-php73
    • EA-8342: Update litespeed to 7.3
  • ea-libcurl
    • EA-8303: Remove libssh2-devel package requires, EasyApache 4 does not setup on RHEL systems
  • ea-apache2
    • CPANEL-22257: Relatively linked images in /img-sys/ are blocked by symlink protection
  • ea-apache2-config
    • EA-8338: ssl_vhost.default template has extra [%- added_include = 1 %] line not found in vhost.default
    • BWG-779: Domains using external nameservers and https force direction will fail DCV regardless of global_dcv_rewrite_exclude
  • ea-cpanel-tools
    • ZC-4963: Add ea-nginx to ea-cpanel-tools’s ea4-metainfo.json file’s additional_packages list so that it will show up in the EA4 UI

2019-4-9

  • scl-php71
    • EA-8316: Update PHP to version 7.1.28, drop 7.1.27
  • scl-php71-meta
    • EA-8316: Update PHP to version 7.1.28, drop 7.1.27
  • scl-php72
    • EA-8320: Update PHP to version 7.2.17, drop 7.2.16
  • scl-php72-meta
    • EA-8320: Update PHP to version 7.2.17, drop 7.2.16
  • scl-php73
    • EA-8324: Update PHP to version 7.3.4, drop 7.3.3
  • scl-php73-meta
    • EA-8324: Update PHP to version 7.3.4, drop 7.3.3
  • ea-cpanel-tools
    • CPANEL-26711: Have ea_current_to_profile use prefix like ea_install_profile


2019-4-3

  • ea-apache2
    • EA-8307: Update Apache to 2.4.39, drop 2.4.38
  • ea-apache2-config
    • EA-8305: Revert change in EA-8250
  • ea-liblsapi
    • EA-8300: Cannot reinstall ea-liblsapi because of conflicts with liblsapi
  • ea-tomcat85
    • EA-8241: /scripts/ea-tomcat85 prematurely dies if fs.protected_symlinks_create is enabled

2019-3-27

  • mod_security2
    • EA-8292:  Patch mod_security for Issue 890 - ModSecurity corrupts the global pool's cleanups linked list with threaded MPMs.
  • scl-php56-meta
    • EA-8291: Installer attempts to run pear/php before pear is installed
  • scl-php70-meta
    • EA-8291: Installer attempts to run pear/php before pear is installed
  • scl-php71-meta
    • EA-8291: Installer attempts to run pear/php before pear is installed
  • scl-php72
    • EA-8280: PHP 7.2/7.3 OPcache configuration file uses ea-php71 path for blacklist_filename
  • scl-php72-meta
    • EA-8291: Installer attempts to run pear/php before pear is installed
  • scl-php73
    • EA-8280: PHP 7.2/7.3 OPcache configuration file uses ea-php71 path for blacklist_filename
  • scl-php73-meta
    • EA-8291: Installer attempts to run pear/php before pear is installed

2019-3-13

2019-3-7

  • scl-php73-meta
    • EA-8254: Prepare ea-php73 for public release.
  • scl-php-pear
    • ZC-4640: Build and Distribute PHP 7.3 via EasyApache.
  • scl-libc-client
    • ZC-4640: Build and Distribute PHP 7.3 via EasyApache.
  • scl-ioncube10
    • EA-8203: Add PHP 7.3 macro to scl-ioncube10.
  • scl-phalcon
    • EA-8226: Fix PHP 7.3 to use scl autoconf so everything works.
  • ea-apache24-mod_lsapi
    • ZC-4779: PHP 7.3 +lsapi handler failed.
  • ea-php-cli
    • EA-8257: ea-php-cli error is breaking WordPress Manager UI.

2019-2-27

  • ea-apache2
    • EA-7318: A large httpd.conf file can prevent Apache from starting due to systemctl timing out when starting the service.
  • ea-apache2-config
    • EA-8228: Apache initially fails to start, then is able to on first time installation.
    • EA-8250: Creating a cPanel account breaks Default Web Site redirect for https.
  • ea-php-cli
    • ZC-4806: Smarter handling of paths containing symlinks

2019-2-20

  • apr
    • EA-8225: Update APR to 1.6.5, drop 1.6.3
  • scl-ruby24-passenger
    • EA-8185: Update Phusion Passenger to 5.3.7, drop 5.3.6
  • ea-php-cli
    • EA-8227: _lookup_pkg_for_path does not handle paths with multiple consecutive slashes.

2019-2-13

  • scl-php72
    • EA-8209 - EA4 PHP Update PHP to 7.2.15, drop 7.2.14
  • scl-php72-meta
    • EA-8209 - EA4 PHP Update PHP to 7.2.15, drop 7.2.14
  • scl-ioncube10
    • EA-8106 - Update ioncube loader to 10.3.2, drop 10.2.4
  • ea-mod_ruid2
    • EA-8192 - When mod_ruid2 upgrades or downgrades via yum, the Apache jail vhost tweak gets disabled. 
  • ea-libcurl
  • ea-cpanel-tools
    • EA-8200 - Add --firstinstall flag to ea_install_profile

2019-2-6

  • ea-apache2-config
    • ZC-4742: Install configuration to prevent non-PHP files from being executed by PHP
    • ZC-4726: Use get_default_php_handler() instead of hardcoded value
  • ea-argon2
    • EA-7397: Add argon2 to EA4
  • ea-tomcat85
    • EA-8186: Update to 8.5.37, drop 8.5.36
  • libcurl
    • EA-8187: Update cURL to 7.63.0, drop 7.62.0
  • scl-php72
    • EA-7397: Compile with Argon2 support
  • ea-apache24-mod_lsapi
    • ZC-4281: Add lsapi to production. This is a rerelease and ensures no conflicts with CloudLinux. 
  • ea-liblsapi
    • ZC-4281: Add lsapi to production. This is a rerelease and ensures no conflicts with CloudLinux. 

2019-1-30

  • ea-apache2
    • EA-8186: Update Apache to 2.4.38, drop 2.4.37 (with fixes for CVE-2019-0190, CVE-2018-17199, and CVE-2018-17189)
    • EA-7518: Apache systemd unit file can lead to Apache starting before network services are ready 
  • ea-cpanel-tools
    • EA-4650: Add ea4-metainfo.json rpm
  • ea-openssl
    • EA-8127: Provide debuginfo package for ea-openssl
  • ea-php-cli
    • ZC-4712: PHP-CLI broken symlinks cause failed Wordpress updates. Moved cache into ~/.cpanel/
  • scl-php54
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-php55
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-php56
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-php70
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-php71
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-php72
    • EA-8170: Update lsapi to Litespeed version 7.2
  • scl-ruby24
    • EA-8155: Improve the test_select_leak unit test

2019-1-16

  • scl-php71
    • EA-8134: Update PHP to 7.1.26, drop 7.1.25
  • scl-php71-meta
    • EA-8135: Update PHP 7.1 SPEC file to 7.1.26
  • scl-php72
    • EA-8130: Update PHP to 7.2.14, drop 7.2.13
  • scl-php72-meta
    • EA-8131: Update PHP 7.2 meta SPEC file to 7.2.14
  • scl-php56
    • EA-8159: Update PHP to 5.6.40, drop 5.6.39
  • scl-php56-meta
    • EA-8160: Update PHP 5.6 SPEC file for version 5.6.40

2019-1-9

  • ea-apache24-mod_lsapi
    • ZC-4281 - LSAPI - Add to Production, initial release.
  • ea-liblsapi
    • ZC-4281 - LSAPI - Add to Production, initial release.
  • ea-cpanel-tools
    • ZC-4595 - Add PHP 5.6 and 7.0 to EOL PHP recommendations.
  • ea-profiles-cpanel
    • EA-8110 - Correct description for "cPanel Default + MPM ITK" EA4 profile.
    • ZC-4444 - Create new LSAPI profile in the cPanel-provided default profiles.
  • ea-mod_security2
    • EA-8080 - Correct typo in comments of /etc/apache2/conf.d/modsec2.conf.
  • ea-php-cli
    • ZC-4400 - Rewrite ea-php-cli in perl
  • scl-phalcon
    • EA-8067 - Update scl-phalcon to 3.4.2, drop 3.4.1
  • scl-ruby24
    • EA-8108 - Update scl-ruby24 to 2.4.5, drop 2.4.4
  • ea-apache24-mod_fcgid
    • EA-7974 - Moved ea-apache24-mod_fcgid into Production and out of Experimental


  • No labels